<template>
  <div>
    <el-dialog :title="title" v-dialogDrag :visible.sync="Visible" width="1000px" append-to-body :close-on-click-modal="false">
      <el-table v-loading="loading" :data="recordList" stripe border>
        <el-table-column type="index" width="50" align="center" label="序号"/>
        <el-table-column label="修改人" align="center" prop="operName" />
        <el-table-column label="修改时间" align="center" prop="createTime" />
        <el-table-column label="修改记录" align="center" prop="operMsg" />
      </el-table>
    </el-dialog>
  </div>
</template>
<script>
  import {listRecordApi} from '@/api/ent/ent'
  export default {
    name: "record",
    data() {
      return {
        ids: [],
        // 遮罩层
        loading: true,
        title: '修改记录',
        recordList: [],
        Visible: false,
        id: ''
      };
    },
    created() {
    },
    methods: {
      init(id) {
        this.id = id || ''
        this.Visible = true
        if(this.id) {
          this.getList();
        }
      },
      getList() {
        listRecordApi(this.id).then(res => {
          this.loading = false
          if(res.code == 200) {
            this.recordList = res.data
          }
        })
      },

    }
  };
</script>
